<template>
  <div>
    <no-ssr>
      <star-rating
        :rating="currentRating"
        :increment="1"
        :max-rating="5"
        :read-only="readOnly"
        :show-rating=false
        @rating-selected="setRating"
        inactive-color="#9BADB9"
        active-color="#FFCC00"
        :star-size="14"
        :padding="4"
        :star-points="[25,0, 17,17, 0,20, 13,32, 10,50, 25,42, 40,50, 37,32, 50,20, 33,17]"/>
    </no-ssr>
  </div>
</template>

<script>
import StarRating from 'vue-star-rating';

export default {
  name: 'Rating',
  components: {
    StarRating,
  },
  props: {
    readOnly: {
      type: Boolean,
      default: true,
    },
    currentRating: {
      type: Number,
      default: 0,
    },
  },
  methods: {
    setRating(value) {
      this.$emit('rating-selected', value);
    },
  },
};
</script>

<style scoped lang="scss">
</style>
